SUPPORT THE SITE WITH A CLICK

Subscribe Rss:

SUPPORT THE SITE WITH A CLICK

Thursday, January 8, 2009

Rails 2.2.2 version problems

When updating our rails version from lower to higher versions rails 2.2.2 mysql gem problem to seems to be occuring.For example just create a rails project with database as mysql with version 2.2.2,then try to go for rake db:create:all.Then probably you will find the message as gem install mysql.When installing mysql gem we will getting an error message as no such file to load --mysql or ERROR: Error installing mysql: ERROR: Failed to build gem native extension.This problem occurs due to mysql client libraries.For solving this problem just follow this link.

So these are the possible changes or preliminary steps we have to do when we switch over to rails 2.2.2